Downloads the voucher as a file.
Downloads the voucher as a file.
GET
/
connectors
/
consumers
/
{consumer_id}
/
vouchers
/
{voucher_id}
/
download
Downloads the voucher as a file.
curl --request GET \
--url https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/vouchers/{voucher_id}/download \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/vouchers/{voucher_id}/download"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.paylead.tech/connectors/consumers/{consumer_id}/vouchers/{voucher_id}/download', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id you used to create the given consumer
Unique ID of the voucher on PayLead.
Response
OK
The response is of type file.
Was this page helpful?
⌘I
Downloads the voucher as a file.
